searchData={"items":[{"type":"module","title":"Blop.Client","doc":"","ref":"Blop.Client.html"},{"type":"module","title":"Blop Client - Blop.Client","doc":"It's supposed to be used in a GenServer. It starts a linked Agent to hold to the client state.\n\nclient = Client.new host: \"imap.my.provider.com\"\nClient.login(client, \"my@provider.com\", \"my-unique-password\")\nClient.list(client)\nClient.select(client, \"INBOX\")\nClient.fetch(client, \"1:5\")","ref":"Blop.Client.html#module-blop-client"},{"type":"function","title":"Blop.Client.examine/2","doc":"Perform a EXAMINE command on a mailbox. Sets the currently selected mailbox in the client state.","ref":"Blop.Client.html#examine/2"},{"type":"function","title":"Blop.Client.exec/2","doc":"Execute an IMAP command with the client.","ref":"Blop.Client.html#exec/2"},{"type":"function","title":"Blop.Client.fetch/2","doc":"Perform a FETCH command on the server to get a list of messages.","ref":"Blop.Client.html#fetch/2"},{"type":"function","title":"Blop.Client.fetch/3","doc":"","ref":"Blop.Client.html#fetch/3"},{"type":"function","title":"Blop.Client.info/1","doc":"Return the client state.","ref":"Blop.Client.html#info/1"},{"type":"function","title":"Blop.Client.info/2","doc":"","ref":"Blop.Client.html#info/2"},{"type":"function","title":"Blop.Client.list/3","doc":"Perform a LIST command on the server to get a list of mailboxes.","ref":"Blop.Client.html#list/3"},{"type":"function","title":"Blop.Client.login/3","doc":"Log the client in to the server with the given username and password.","ref":"Blop.Client.html#login/3"},{"type":"function","title":"Blop.Client.new/1","doc":"Create a new IMAP client.\n\nAccepted options:\n\n- `:host` - The hostname of the IMAP server. (required)\n- `:port` - The port of the IMAP server. Default is 993.\n- `:socket_module` - The socket module to use. Default is `:ssl`.\n- `:login` - A tuple with the username and password. This will be used to log in automatically\n  after the client is created. Users can also call `Client.login/3` manually.\n\nConnection options:\n\nFor exmaple when using `:ssl`\n\n- `:ssl` - A list of options to pass to `:ssl.connect/4`. Default is `[:binary, active: false, cacertfile: CAStore.file_path()]`.","ref":"Blop.Client.html#new/1"},{"type":"function","title":"Blop.Client.select/2","doc":"Perform a SELECT command on a mailbox. Sets the currently selected mailbox in the client state.","ref":"Blop.Client.html#select/2"},{"type":"module","title":"Blop.Mailbox","doc":"Message flags:\n\n(RFC 3501)\n- \\Seen - Message has been read\n- \\Answered - Message has been replied to\n- \\Flagged - Message is marked as important or flagged for attention\n- \\Deleted - Message is marked for deletion\n- \\Draft - Message is a draft\n- \\Recent - Message is new in the mailbox since last access\n\nMailbox flags:\n\n(RFC 3501)\n- \\Noinferiors - Mailbox cannot have child mailboxes\n- \\Noselect - Mailbox cannot be selected (often used for namespace containers)\n- \\Marked - Mailbox contains new messages\n- \\Unmarked - Mailbox has no new messages\n\n(RFC 3348)\n- \\HasChildren - Mailbox has child mailboxes\n- \\HasNoChildren - Mailbox has no child mailboxes\n\nSpecial-use mailbox attributes (RFC 6154):\n\n- \\All - Contains all messages\n- \\Archive - Used for archiving messages\n- \\Drafts - Contains draft messages\n- \\Flagged - Contains flagged messages\n- \\Junk - Contains spam/junk messages\n- \\Sent - Contains sent messages\n- \\Trash - Contains deleted messages\n- \\Important - Contains important messages","ref":"Blop.Mailbox.html"},{"type":"function","title":"Blop.Mailbox.decode_name/1","doc":"","ref":"Blop.Mailbox.html#decode_name/1"},{"type":"function","title":"Blop.Mailbox.find/1","doc":"","ref":"Blop.Mailbox.html#find/1"},{"type":"module","title":"Blop.Request","doc":"IMAP commands being sent to the IMAP server","ref":"Blop.Request.html"},{"type":"function","title":"Blop.Request.append/2","doc":"","ref":"Blop.Request.html#append/2"},{"type":"function","title":"Blop.Request.authenticate/1","doc":"","ref":"Blop.Request.html#authenticate/1"},{"type":"function","title":"Blop.Request.capability/0","doc":"","ref":"Blop.Request.html#capability/0"},{"type":"function","title":"Blop.Request.check/0","doc":"","ref":"Blop.Request.html#check/0"},{"type":"function","title":"Blop.Request.close/0","doc":"","ref":"Blop.Request.html#close/0"},{"type":"function","title":"Blop.Request.copy/2","doc":"","ref":"Blop.Request.html#copy/2"},{"type":"function","title":"Blop.Request.create/1","doc":"","ref":"Blop.Request.html#create/1"},{"type":"function","title":"Blop.Request.delete/1","doc":"","ref":"Blop.Request.html#delete/1"},{"type":"function","title":"Blop.Request.examine/1","doc":"","ref":"Blop.Request.html#examine/1"},{"type":"function","title":"Blop.Request.expunge/0","doc":"","ref":"Blop.Request.html#expunge/0"},{"type":"function","title":"Blop.Request.fetch/2","doc":"","ref":"Blop.Request.html#fetch/2"},{"type":"function","title":"Blop.Request.list/2","doc":"","ref":"Blop.Request.html#list/2"},{"type":"function","title":"Blop.Request.login/2","doc":"","ref":"Blop.Request.html#login/2"},{"type":"function","title":"Blop.Request.logout/0","doc":"","ref":"Blop.Request.html#logout/0"},{"type":"function","title":"Blop.Request.lsub/2","doc":"","ref":"Blop.Request.html#lsub/2"},{"type":"function","title":"Blop.Request.noop/0","doc":"","ref":"Blop.Request.html#noop/0"},{"type":"function","title":"Blop.Request.rename/2","doc":"","ref":"Blop.Request.html#rename/2"},{"type":"function","title":"Blop.Request.search/1","doc":"","ref":"Blop.Request.html#search/1"},{"type":"function","title":"Blop.Request.select/1","doc":"","ref":"Blop.Request.html#select/1"},{"type":"function","title":"Blop.Request.sequence_set/1","doc":"","ref":"Blop.Request.html#sequence_set/1"},{"type":"function","title":"Blop.Request.serialize/1","doc":"","ref":"Blop.Request.html#serialize/1"},{"type":"function","title":"Blop.Request.starttls/0","doc":"","ref":"Blop.Request.html#starttls/0"},{"type":"function","title":"Blop.Request.status/1","doc":"","ref":"Blop.Request.html#status/1"},{"type":"function","title":"Blop.Request.store/3","doc":"","ref":"Blop.Request.html#store/3"},{"type":"function","title":"Blop.Request.subscribe/1","doc":"","ref":"Blop.Request.html#subscribe/1"},{"type":"function","title":"Blop.Request.uid/1","doc":"","ref":"Blop.Request.html#uid/1"},{"type":"function","title":"Blop.Request.unsubscribe/1","doc":"","ref":"Blop.Request.html#unsubscribe/1"},{"type":"module","title":"Blop.Response","doc":"Extract response info returned by the IMAP server and convert them to a structured format","ref":"Blop.Response.html"},{"type":"function","title":"Blop.Response.extract/1","doc":"","ref":"Blop.Response.html#extract/1"},{"type":"module","title":"Blop.Socket","doc":"A socket module that abstracts away the type of the connection it has with a server.","ref":"Blop.Socket.html"},{"type":"extras","title":"Blop","doc":"# Blop\n\n> still in DEV\n\n*blop, a new email just dropped...*\n\nIMAP Client for Elixir","ref":"readme.html"},{"type":"extras","title":"Installation - Blop","doc":"```elixir\ndef deps do\n  [\n    {:blop, \"~> 0.1\"}\n  ]\nend\n```","ref":"readme.html#installation"},{"type":"extras","title":"Usage - Blop","doc":"```elixir\nalias Blop.Client\n\n{:ok, client} = Client.new(\n  host: \"imap.my.host\",\n  port: 993,\n  login: {\"me@my.host\", \"my_strong_password\"}\n)\n\nClient.list(client)\n\nClient.select(client, \"INBOX\")\n\nClient.fetch(client, \"1:5\")\n```","ref":"readme.html#usage"}],"proglang":"elixir","content_type":"text/markdown","producer":{"name":"ex_doc","version":"0.38.1"}}